#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x3e5616d8, "module_layout" },
	{ 0x28b420a4, "nf_log_unregister" },
	{ 0xc755e1da, "unregister_pernet_subsys" },
	{ 0x7c32d0f0, "printk" },
	{ 0xd07ea24d, "nf_log_register" },
	{ 0xfbc9059f, "register_pernet_subsys" },
	{ 0xdb7305a1, "__stack_chk_fail" },
	{ 0x80c68137, "nf_log_buf_close" },
	{ 0x4ce42a65, "nf_log_dump_vlan" },
	{ 0x487c5d33, "nf_log_buf_add" },
	{ 0x8bdaa83b, "skb_copy_bits" },
	{ 0x58775887, "nf_log_dump_packet_common" },
	{ 0xd4961de, "nf_log_buf_open" },
	{ 0x9aaeefce, "sysctl_nf_log_all_netns" },
	{ 0x816852d5, "init_net" },
	{ 0x6c1d849d, "nf_log_set" },
	{ 0xfc7b2da9, "nf_log_unset" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nf_log_common";


MODULE_INFO(srcversion, "E97E82FA3274AF16E359556");
